// https://github.com/antfu-collective/vitesse/blob/47618e72dfba76c77b9b85b94784d739e35c492b/src/modules/README.md
type UserPluginContext = { app: import('vue').App<Element> };
type UserPlugin = (ctx: UserPluginContext) => void;

export function setupPlugins(app: import('vue').App) {
  console.group('Setup Plugins');
  const modules = import.meta.glob<{ install: UserPlugin }>('./*.ts', { eager: true });
  for (const path in modules) {
    modules[path].install?.({ app });
    if (modules[path].install !== undefined) {
      const moduleName = path.replace(/\.\/(.*)\.ts/, '$1');
      console.debug(`%c✔ ${moduleName}`, 'color: #07a');
    }
  }
  console.groupEnd();
  return app;
}
